org.keycloak.events.mongo

## Class MongoEventStoreProvider

- java.lang.Object
- - org.keycloak.events.mongo.MongoEventStoreProvider

- All Implemented Interfaces:
    EventListenerProvider, EventStoreProvider, Provider

      public class MongoEventStoreProvider
      extends Object
      implements EventStoreProvider

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoEventStoreProvider(com.mongodb.DBCollection events, com.mongodb.DBCollection adminEvents)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `clear(String realmId)`
    `void` | `clear(String realmId, long olderThan)`
    `void` | `clearAdmin()`
    `void` | `clearAdmin(String realmId)`
    `void` | `clearAdmin(String realmId, long olderThan)`
    `void` | `close()`
    `AdminEventQuery` | `createAdminQuery()`
    `EventQuery` | `createQuery()`
    `void` | `onEvent(AdminEvent adminEvent, boolean includeRepresentation)`
    `void` | `onEvent(Event event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MongoEventStoreProvider

          public MongoEventStoreProvider(com.mongodb.DBCollection events,
                                         com.mongodb.DBCollection adminEvents)

  - ### Method Detail

    - #### createQuery

          public EventQuery createQuery()

      Specified by:
        `createQuery` in interface `EventStoreProvider`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `EventStoreProvider`

    - #### clear

          public void clear(String realmId)

      Specified by:
        `clear` in interface `EventStoreProvider`

    - #### clear

          public void clear(String realmId,
                            long olderThan)

      Specified by:
        `clear` in interface `EventStoreProvider`

    - #### onEvent

          public void onEvent(Event event)

      Specified by:
        `onEvent` in interface `EventListenerProvider`

    - #### createAdminQuery

          public AdminEventQuery createAdminQuery()

      Specified by:
        `createAdminQuery` in interface `EventStoreProvider`

    - #### clearAdmin

          public void clearAdmin()

      Specified by:
        `clearAdmin` in interface `EventStoreProvider`

    - #### clearAdmin

          public void clearAdmin(String realmId)

      Specified by:
        `clearAdmin` in interface `EventStoreProvider`

    - #### clearAdmin

          public void clearAdmin(String realmId,
                                 long olderThan)

      Specified by:
        `clearAdmin` in interface `EventStoreProvider`

    - #### onEvent

          public void onEvent(AdminEvent adminEvent,
                              boolean includeRepresentation)

      Specified by:
        `onEvent` in interface `EventListenerProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2016 JBoss by Red Hat. All rights reserved.